@echo off
cd X50V3
echo Checking ROM file .....
ckmode X50V2PLU.201 X50V3 3189
if errorlevel 1 goto end


:flash
call DISEUP.EXE
call AFUDOS.EXE X50V2PLU.201 /P /B /E /N /C /X /L2 /REBOOT
if errorlevel 1 goto end

:end
echo Update not sucessful.
cd ..
exit